from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.1.4'
DESCRIPTION = 'For Api Capital Payments'
LONG_DESCRIPTION = 'This SDK connects to Capital Payments Payment Processor Api.'

# Setting up
setup(
    name="capitalpayments",
    version=VERSION,
    author="Javier (leqjl93)",
    author_email="<javier.fernandez.pa93@gmail.com>",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=['requests'],
    keywords=['python', 'capitalpayments', 'paymentprocessor', 'usdt.trc20'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)